# MTSCRA Class Methods - 31 - 40

#### getCardDataCRC

Retrieves CRC from card data.

```
public long getCardDataCRC()
```

Parameters: None

Return Value:

Card data CRC

#### getCardExpDate <a href="#id-3.32_getcardexpdate" id="id-3.32_getcardexpdate"></a>

Retrieves card experiation date from card data.&#x20;

```
public String getCardExpDate() Parameters: None
```

Return Value:

String representing card expiration date.

#### getCardIIN <a href="#id-3.33_getcardiin" id="id-3.33_getcardiin"></a>

Retrieves Issuer Identification Number (IIN) from card data.

```
public String getCardIIN()
```

Parameters: None

Return Value: String representing card IIN.

#### getCardLast4 <a href="#id-3.34_getcardlast4" id="id-3.34_getcardlast4"></a>

Retrieves Last 4 digits of card number from card data.&#x20;

```
public String getCardLast4() Parameters: None
```

Return Value:

String representing card last 4 digits.

#### getCardName <a href="#id-3.35_getcardname" id="id-3.35_getcardname"></a>

Retrieves card name from card data. public&#x20;

```
String getCardName() Parameters: None
```

Return Value:

String representing card name.

#### getCardPAN <a href="#id-3.36_getcardpan" id="id-3.36_getcardpan"></a>

Retrieves PAN from card data.&#x20;

```
public String getCardPAN() Parameters: None
```

Return Value:

String representing card PAN.

#### getCardPANLength <a href="#id-3.37_getcardpanlength" id="id-3.37_getcardpanlength"></a>

Retrieves PAN length from card data.&#x20;

```
public int getCardPANLength() Parameters: None
```

Return Value:

PAN length

#### getCardServiceCode <a href="#id-3.38_getcardservicecode" id="id-3.38_getcardservicecode"></a>

Retrieves Service Code.

```
public String getCardServiceCode()
```

Parameters: None Return Value:

String representing service code.

#### getCardStatus <a href="#id-3.39_getcardstatus" id="id-3.39_getcardstatus"></a>

Retrieves Card Status.

```
public String getCardStatus()
```

Parameters: None&#x20;

Return Value:

String representing card status.

#### getEncodeType <a href="#id-3.40_getencodetype" id="id-3.40_getencodetype"></a>

This one-byte value indicates the type of encoding that was found on the card. The following table defines the possible values.

```
public int getEncodeType()
```

Parameters: None Return Value:

<table data-header-hidden><thead><tr><th width="84.45452880859375" valign="top"></th><th width="148.27276611328125" valign="top"></th><th valign="top"></th></tr></thead><tbody><tr><td valign="top">Value</td><td valign="top">Encode Type</td><td valign="top">Description</td></tr><tr><td valign="top">0</td><td valign="top">ISO/ABA</td><td valign="top">ISO/ABA encode format. At least one track in ISO/ABA format, Track 3 not AAMVA format.</td></tr><tr><td valign="top">1</td><td valign="top">AAMVA</td><td valign="top">AAMVA encode Track 3 is AAMVA format, Tracks 1 and 2 are ISO/ABA if correctly decoded.</td></tr><tr><td valign="top">2</td><td valign="top">Reserved</td><td valign="top"></td></tr><tr><td valign="top">3</td><td valign="top">Blank</td><td valign="top">The card is blank. Only occurs if all tracks decode without error and without data.</td></tr><tr><td valign="top">4</td><td valign="top">Other</td><td valign="top">The card has a non-standard encode format. For example, ISO/ABA track 1 format on track 2.</td></tr><tr><td valign="top"><p> </p><p>5</p></td><td valign="top"><p> </p><p>Undetermined</p></td><td valign="top">The card encode type could not be determined because no tracks could be decoded. (Combination of Error tracks and Blank Tracks, at least one Error track).</td></tr><tr><td valign="top"><p> </p><p>6</p></td><td valign="top"><p> </p><p>None</p></td><td valign="top">No decode has occurred. This type occurs if no magnetic stripe data has been acquired since the data has been cleared or since the reader was powered on. This reader only sends an Input report when a card has been swiped so this value will never occur.</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.magtek.com/hardware/card-readers/magnetic-stripe-readers/idynamo-5-gen-iii/documentation/developers-manuals/programmers-manual-android/mtscra-class-methods/mtscra-class-methods-31-40.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
